Product
Storefront Product API endpoints
An API endpoint to get list of products with filtering options.
Query parameters
pageoptionalintegerPage number for pagination
per_pageoptionalintegerEntities per page
typeoptionalstringFilter by product type
Possible values: one_time, subscription.
ids[]optionalinteger[]Filter by product IDs
tags[]optionalstring[]Filter by tag names
slugs[]optionalstring[]Filter by product slugs
digitaloptionalbooleanFilter by digital products
gift_cardoptionalbooleanFilter by gift card products
sort[field]optionalstringField to sort by
Possible values: id, name.
sort[direction]optionalstringSort direction; defaults to asc.
Possible values: asc, desc.
Defaults to "asc".
Returnsobject
Products list response
Error responses
422objectA query parameter fails validation. tags holds a name that is not a tag of the shop; ids, tags or slugs is not an array or repeats a value; an ids entry is not an integer; a slug is longer than 80 characters; type is not one_time or subscription; digital or gift_card is not a boolean; sort is not an array, sort.field is missing or not id or name, or sort.direction is not asc or desc; page is below 1; per_page is outside 1-100; or expand is not an array.
A detailed description of the product.
Path parameters
product_idRequiredintegerProduct ID
ReturnsOneTimeProduct | SubscriptionProduct
Product object response
Error responses
400objectThe product belongs to another shop, is not published, is archived, or is a variant or plan (it has a parent product).
404objectNo product with this ID exists.
422objectexpand is not an array.
A detailed description of the variant or pricing.
Path parameters
variant_idRequiredintegerVariant or pricing ID
ReturnsVariant | Plan
Variant or pricing object response
Error responses
400objectThe variant or plan belongs to another shop, is not published, is archived, or is a top-level product (it has no parent product).
404objectNo product with this ID exists.
422objectexpand is not an array.
A detailed description of the plan.
Path parameters
plan_idRequiredintegerPlan ID
ReturnsPlan
Plan object response
Error responses
400objectThe plan belongs to another shop, is not published, or is archived.
404objectNo product with this ID exists, or the product is not a subscription product.
422objectexpand is not an array.